Change wgLanguageCode of several wikis to be renamed
Closed, ResolvedPublic

Description

I propose, as a small step towards bug 19986, to change the wgLanguageCode of wikis in the following languages:
bat-smg -> sgs (wikipedia)
fiu-vro -> vro (wikipedia)
zh-classical -> lzh (wikipedia)
zh-min-nan -> nan (wikipedia, wiktionary, wikibooks, wikiquote, wikisource)
zh-yue -> yue (wikipedia)

This is already done at this moment:
be-x-old -> be-tarask (wikipedia)
als -> gsw (wikipedia, wiktionary, wikibooks, wikiquote)
roa-rup -> rup (wikipedia, wiktionary)


Version: unspecified
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz34866.
SPQRobin created this task.Via LegacyMar 1 2012, 7:05 PM
SPQRobin added a comment.Via ConduitJun 8 2012, 6:06 PM

Submitted in https://gerrit.wikimedia.org/r/#/c/10707/ - needs merging

SPQRobin added a comment.Via ConduitJun 15 2012, 2:50 PM

Merged and deployed by Hashar; marking FIXED.

Verdy_p added a comment.Via ConduitJan 24 2013, 5:28 AM

There's still a problem with nrm (Norman).
The language code nrm is for another unrelated language.
Norman itself has no specific code, except as a private extension of French (such as "fr-x-normal"), even if Norman has itself 2 standardized variants in Jersey and Guernesey, where these variants have official status, but these standardized variants (which also have their reference dictionnary) still don't have their ISO 639-3 code : if they get one, there will remain the case of the Norman language as spoken by a regional minority language in Normandy in France, on the continent or in bordering French islands (in those islands, there's no sign that Norman is still actively spoken, Norman remains only in rural areas of Normandy).

So we are waiting for ISO 639-3 codes for:

  • Jersiais
  • Guernésiais
  • Jériais
  • Continental Norman

or a ISO 639-3 code to group them in a macrolanguage just called "Norman", which would be the best code for use on Wikipedia.

The use of "nrm" in Wikipedia is still a bug and it should not exist at all. Even if we don't have a stable code for it, we should have better used a private extension code like "x-nrm", or a private use language code like "qno" (in ISO 639-2).

Verdy_p added a comment.Via ConduitJan 24 2013, 5:31 AM

Note also that there's the case of the Old Norman language (the same that was spoken by invaders of England) when it was a single language (and when French still did not exist as a language, there was just several languages in France, one of which was spoken in Île-de-France and is now named "Old French", and it was at that time not even spoken in Paris but more to the South around Orléans). The Kingdom of France expanded later in the Middle Age to include Paris and make it its capital.

Old Norman should also have its own ISO 639-3 code (not part of the modern macrolanguage described above).

Aklapper added a comment.Via ConduitJan 24 2013, 11:15 AM

Philippe: Please file a new report about this so it receives attention. This report has been closed for seven months. Thanks.

Verdy_p added a comment.Via ConduitJan 24 2013, 11:18 AM

Visibly it was not closed several months ago because I received TODAY (by email) a notification about a change in this bug.

Krenair added a comment.Via ConduitJan 24 2013, 6:06 PM

(In reply to comment #6)

Visibly it was not closed several months ago because I received TODAY (by
email) a notification about a change in this bug.

According to the bug historyhttps://bugzilla.wikimedia.org/show_activity.cgi?id=34866, it happened 2012-06-15 15:50:24 BST.

Add Comment